Subject: Re: [MMUSIC] Draft new: draft-holmberg-mmusic-t140-usage-data-channel

From: "Belling, Thomas (Nokia - DE/Munich)" <[email-masked]>
Date: Mon, 12 Aug 2019 17:52:22 +0000

➢ Hi,

➢ Once upon a time in MMUSIC, there was work on a draft named draft-schwarz-mmusic-t140-usage-data-channel. 

➢ Then, the authors stopped working on it, and nobody has been willing to take over.

➢ The draft is a 3GPP dependency, so there is a need to get it finalized.

➢ Some time ago I decided to take a close look at the draft, so see how much work it would take to finalize. One thing led ted to another, and I ended up re-writing the draft. Say hello to draft-holmberg-mmusic-t140-usage-data channel:

➢ https://www.ietf.org/id/draft-holmberg-mmusic-t140-usage-data-channel-00.txt

➢ The holmberg draft is based on the schwarz draft (also mentioned in the Acknowledgements), and much of the content is still the same. However, I have done editorial changes, and some re-structuring in order to better separate between the SDP considerations and the T.140 considerations.

➢ The NEW technical stuff is describing how the T.140 abstract service functions map to T.140 data channels established with SDP O/A.

➢ I have removed much of the Gateway text, because that's where most of the open issues were. That way, I also got rid of the dependency on draft-ietf-rtcweb-gateways, a draft I doubt is ever going to get finalized. If needed, gateway functions can be specified elsewhere, and 3GPP has already defined the H.248 parts for interworking between T.140 data channel and RFC 4103.

➢ There are currently no open issues in the draft.

➢ Regards,

➢ Christer

Hello, Christer

draft-schwarz-mmusic-t140-usage-data-channel is indeed required in 3GPP, but still in very bad shape with no progress for years.
Your draft is a huge improvement and I will definitely support updating the related 3GPP references.
I am also agreeing that the new draft fixes all open issues.

Many thanks for your valuable work

----------------------------------
Dr. Thomas Belling
3GPP Standardisation 
NOKIA Bell Labs

Nokia Solutions and Networks GmbH & Co KG
Werinherstr. 91, 81541 München
Sitz der Gesellschaft: München / Registered office: Munich
Registergericht: München / Commercial registry: Munich, HRA 88537
WEEE-Reg.-Nr.: DE 52984304
Persönlich haftende Gesellschafterin / General Partner: Nokia Solutions and Networks Management GmbH
Geschäftsleitung / Board of Directors: Dr. Wolfgang Hackenberg, Ralf Niederberger Vorsitzender des Aufsichtsrats / Chairman of supervisory board: Hans-Jürgen Bill Sitz der Gesellschaft: München / Registered office: Munich Registergericht: München / Commercial registry: Munich, HRB 163416